Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module event |
[frames] | no frames]

# Module event

source code

Classes
| Event

Variables
| DEFAULT_COLOR = `200, 200, 200`
| EXPORTABLE_FIELDS = `_("Text"), _("Description"), _("Start"), _`...``
| DATA_FIELDS = `["description", "icon", "hyperlink", "alert", "p`...``

Imports: ItemBase, ImmutableEvent, TimelineItem, get_progress_color

Variables Details

  ### EXPORTABLE_FIELDS Value:
      _("Text"), _("Description"), _("Start"), _("End"), _("Category"), _("F
      uzzy"), _("Locked"), _("Ends Today"), _("Hyperlink"), _("Progress"), _
      ("Progress Color"), _("Done Color"), _("Alert"), _("Is Container"), _(
      "Is Subevent")

  ### DATA_FIELDS Value:
      ["description", "icon", "hyperlink", "alert", "progress", "default_col
      or",]